<?php


/**
 * This class adds structure of 'katao_member_deposit' table to 'propel' DatabaseMap object.
 *
 *
 *
 * These statically-built map classes are used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    lib.model.map
 */
class KataoMemberDepositMapBuilder {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'lib.model.map.KataoMemberDepositMapBuilder';

	/**
	 * The database map.
	 */
	private $dbMap;

	/**
	 * Tells us if this DatabaseMapBuilder is built so that we
	 * don't have to re-build it every time.
	 *
	 * @return     boolean true if this DatabaseMapBuilder is built, false otherwise.
	 */
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	/**
	 * Gets the databasemap this map builder built.
	 *
	 * @return     the databasemap
	 */
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	/**
	 * The doBuild() method builds the DatabaseMap
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('katao_member_deposit');
		$tMap->setPhpName('KataoMemberDeposit');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('KATAO_MEMBER_ID', 'KataoMemberId', 'int', CreoleTypes::INTEGER, 'katao_member', 'ID', true, null);

		$tMap->addColumn('AMOUNT', 'Amount', 'double', CreoleTypes::FLOAT, true, null);

		$tMap->addColumn('COMMENT', 'Comment', 'string', CreoleTypes::LONGVARCHAR, false, null);

		$tMap->addColumn('CURRENCY', 'Currency', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('PAYMENT_MODE', 'PaymentMode', 'int', CreoleTypes::INTEGER, false, null);

		$tMap->addColumn('CHECK_NUMBER', 'CheckNumber', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('CHECK_BANK', 'CheckBank', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('CHECK_DEPOSIT', 'CheckDeposit', 'string', CreoleTypes::VARCHAR, false, 255);

		$tMap->addColumn('STATUS', 'Status', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('VALUED_AT', 'ValuedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('VALID_UNTIL', 'ValidUntil', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'int', CreoleTypes::TIMESTAMP, false, null);

	} // doBuild()

} // KataoMemberDepositMapBuilder
